"use client";
'use strict';

const jsxRuntime = require('react/jsx-runtime');
const React = require('react');
const formBuilderSkeleton = require('../loading/form-builder-skeleton.cjs');
const reactErrorBoundary = require('react-error-boundary');
const defaultError = require('../shared/default-error.cjs');

const FormBuilderPage = React.lazy(
  () => import('./form-builder-page.internal.cjs').then((m) => ({
    default: m.FormBuilderPage
  }))
);
function FormBuilderPageComponent({ id }) {
  return /* @__PURE__ */ jsxRuntime.jsx(reactErrorBoundary.ErrorBoundary, { FallbackComponent: defaultError.DefaultError, children: /* @__PURE__ */ jsxRuntime.jsx(React.Suspense, { fallback: /* @__PURE__ */ jsxRuntime.jsx(formBuilderSkeleton.FormBuilderSkeleton, {}), children: /* @__PURE__ */ jsxRuntime.jsx(FormBuilderPage, { id }) }) });
}

exports.FormBuilderPageComponent = FormBuilderPageComponent;
